Std Annuler

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std Undo and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎한국어
FreeCAD.png
Page suivante : Rétablir Std Redo.svg Arrow-right.svg

Std Undo.svg Std Annuler

Emplacement du menu
Édition → Annuler
Ateliers
Tous
Raccourci par défaut
Ctrl+Z
Introduit dans la version
-
Voir aussi
Std Rétablir

Description

La commande Std Annuler annule la dernière action.

Utilisation

  1. Il existe plusieurs façons d'appeler la commande :
    • Appuyez sur le bouton Std Undo.svg Std Annuler.
    • Sélectionnez l'option Edition → Std Undo.svg Annuler dans le menu.
    • Utilisez le raccourci clavier : Ctrl+Z.

Options

  • Pour annuler plusieurs actions, cliquez sur la petite flèche noire vers le bas à droite du bouton Std Undo.svg Std Annuler et sélectionnez dans la liste.

Préférences

  • La fonctionnalité Annuler/Rétablir peut être désactivée en définissant Outils → Éditer paramètres... → BaseApp → Preferences → Document → UsingUndo sur false, mais ce n'est pas recommandé. Ce paramètre peut également être modifié dans l'Editeur de préférences.
  • Le nombre maximum d'étapes Annuler / Rétablir est contrôlé par Outils → Éditer paramètres... → BaseApp → Préférences → Document → MaxUndoSize. Ce paramètre peut également être modifié dans l'Éditeur de préférences.

Script

Voir aussi : FreeCAD Script de base.

Pour annuler la dernière action, utilisez la méthode undo de l'objet document.

import FreeCAD

FreeCAD.ActiveDocument.undo()

Lorsque vous exécutez FreeCAD en mode console pure (CLI), le mécanisme d'annulation/rétablissement n'est pas activé par défaut. Il doit être explicitement activé pour chaque document.

import FreeCAD

FreeCAD.ActiveDocument.UndoMode = 1


FreeCAD.png
Page suivante : Rétablir Std Redo.svg Arrow-right.svg